{% extends 'base.html' %}

{% block meta %}
{% endblock meta %}





{% block content %}


<h1 class="text-center">Daftar Reservasi RS</h1>
<table class="table">
    <thead>
        <tr>
            <th scope="col">No</th>
            <th scope="col">NIK Pasien</th>
            <th scope="col">Tanggal Masuk</th>
            <th scope="col">Tanggal Keluar</th>
            <th scope="col">Rumah Sakit</th>
            <th scope="col">Ruangan</th>
            <th scope="col">Bed</th>

            {% if request.session.peran == 'admin satgas' %}
            <th scope="col"></th>
            <th scope="col"></th>
            {% endif %}
        </tr>
    </thead>
    <tbody>

        {% for rrs in apt %}
        <tr>
            <td>{{forloop.counter}}</td>
            <td>{{ rrs.kodepasien }}</td>
            <td>{{ rrs.tglmasuk }} </td>
            <td>{{ rrs.tglkeluar }}</td>
            <td>{{ rrs.koders }}</td>
            <td>{{ rrs.koderuangan }}</td>
            <td>{{ rrs.kodebed }}
            </td>

            {% if request.session.peran == 'admin satgas' %}
            <td>
                <form action="{% url 'reservasiRS:update' %}" method="get">
                    <input type="hidden" id="kodepasien" name="kodepasien" value="{{ rrs.kodepasien }}">
                    <input type="hidden" id="tglmasuk" name="tglmasuk" value="{{ rrs.tglmasuk }}">
                    <button type="submit" class="btn btn-outline-warning">Update</button>
                </form>
            </td>
            {% if rrs.tglmasuk|date:'Y-m-d' > date %} <td>
                <form action="{% url 'reservasiRS:delete' %}" method="get">
                    <input type="hidden" id="kodepasien" name="kodepasien" value="{{ rrs.kodepasien }}">
                    <input type="hidden" id="tglmasuk" name="tglmasuk" value="{{ rrs.tglmasuk }}">
                    <button type="submit" class="btn btn-outline-danger">Delete</button>
                </form>
            </td>
            {% endif %}
            </td>
            {% endif %}
        </tr>

        {% endfor %}

    </tbody>
</table>


{% endblock content %}
